Summary: AV control lib for ieee1394
Summary(ja): IEEE1394 用 AV コントロールライブラリ
Name: libavc1394
Version: 0.5.3
Release: 1%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source: http://downloads.sourceforge.net/libavc1394/libavc1394-%{version}.tar.gz
BuildRequires: libraw1394-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The libavc1394 library allows utilities to control IEEE-1394 devices.

%description -l ja
libavc1394 ライブラリは IEEE-1394 デバイスの制御をするためのユーティリティ
です。

%package devel
Summary: Development libs for libavc1394
Summary(ja): libavc1394 用開発ライブラリ
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libraw1394-devel

%description devel
Development libraries required to build applications using libavc1394.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING INSTALL README
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%{_includedir}/libavc1394
%{_libdir}/lib*.a
#%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Aug 19 2008 Shu KONNO <owa@bg.wakwak.com> 0.5.3-1vl5
- applied new versioning policy, spec in utf-8
- dropt lib*.la

* Thu Aug  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.3-0vl1
- new upstream release

* Sat Sep 24 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.1-0vl1
- new upstream release
- s/Copyright/License/

* Fri Jun 10 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.0-0vl1
- new upstream release
- added mkrfc2734 to %{_bindir} 
- changed Group

* Wed Mar  3 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.1-0vl1
- build for Vine Linux

* Mon Aug 25 2003 Bill Nottingham <notting@redhat.com> 0.3.1-7
- fix buildreqs (#102204)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 12 2002 Tim Powers <timp@redhat.com> 0.3.1-4
- rebuild on all arches

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- exclude mainframe
- allow lib64

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 09 2002 Michael Fulbright <msf@redhat.com>
- First RPM build

