Summary: Virtual package for GNOME
Summary(ja): GNOME バーチャルパッケージ
Name: task-gnome
Version: 2.26.1
Release: 1%{?_dist_release}
License: GPL
Group: User Interface/Desktops

Vendor: Project Vine
Distribution: Vine Linux
Packager: Daisuke SUZUKI <daisuke@linux.or.jp>

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
Obsoletes: task-gnome2 < 2.2.0, task-gnome2-devel < 2.2.0
Obsoletes: task-nautilus
Provides: task-gnome2 = %{version}-%{release}

# libraries
Requires: GConf2 >= 2.26.0
Requires: ORBit2 >= 2.14.17
Requires: atk >= 1.26.0
Requires: cairo >= 1.8.6
Requires: pango >= 1.24.1
Requires: glib2 >= 2.20.1
Requires: eel2 >= 2.24.1
Requires: gtk2 >= 2.16.1
Requires: gtksourceview >= 1.8.5
Requires: libIDL >= 0.8.13
Requires: libart_lgpl >= 2.3.20
Requires: libbonobo >= 2.24.1
Requires: libbonoboui >= 2.24.1
Requires: libglade2 >= 2.6.4
Requires: libgnome >= 2.26.0
Requires: libgnomecanvas >= 2.26.0
Requires: libgnomeui >= 2.24.1
Requires: libgnomekbd >= 2.26.0
Requires: libgweather >= 2.26.0
#Requires: libgweather-l10n >= 2.26.0
Requires: libgtop2 >= 2.26.1
Requires: librsvg2 >= 2.26.0
Requires: libsoup >= 2.26.1
Requires: libwnck >= 2.26.1
Requires: libxklavier >= 3.8
Requires: libxml2 >= 2.6.32
Requires: libxml2-python >= 2.6.32
Requires: libxslt >= 1.1.23
Requires: vte >= 0.20.1

# support utilities/libs
Requires: gtk2-engines >= 2.18.1
Requires: gamin >= 0.1.10
Requires: gstreamer >= 0.10.22
Requires: gstreamer-plugins >= 0.10.0
Requires: hicolor-icon-theme >= 0.10
Requires: gnome-themes >= 2.26.1
Requires: desktop-file-utils >= 0.15
Requires: startup-notification >= 0.9
Requires: usermode >= 1.98
Requires: usermode-gtk >= 1.98
Requires: gvfs >= 1.2.2
Requires: gvfs-archive >= 1.2.2
Requires: gvfs-fuse >= 1.2.2
Requires: gvfs-gphoto2 >= 1.2.2
Requires: gvfs-obexftp >= 1.2.2
Requires: gvfs-smb >= 1.2.2

# applications
Requires: eog >= 2.26.1
Requires: gedit >= 2.26.1
Requires: gconf-editor >= 2.24.1
Requires: gdm >= 2.20.10
Requires: control-center >= 2.26.0
Requires: gnome-applets >= 2.26.1
Requires: gnome-desktop >= 2.26.1
Requires: gnome-desktop-libs >= 2.26.1
Requires: gnome-games >= 2.26.1
Requires: gnome-icon-theme >= 2.26.0
Requires: gnome-keyring >= 2.26.1
Requires: gnome-keyring-pam >= 2.26.1
Requires: gnome-media >= 2.26.0
Requires: gnome-mime-data >= 2.18.0
Requires: gnome-panel >= 2.26.1
Requires: gnome-session >= 2.26.1
Requires: gnome-settings-daemon >= 2.26.1
Requires: gnome-system-monitor >= 2.26.1
Requires: gnome-terminal >= 2.26.1
Requires: gnome-user-docs >= 2.26.0
Requires: gnome-utils >= 2.26.0
Requires: gnome-screenshot >= 2.26.0
Requires: gnome-vfs2 >= 2.24.1
Requires: gnome-vfs2-smb >= 2.24.1
Requires: gnome-user-docs >= 2.26.0
Requires: metacity >= 2.26.0
Requires: nautilus >= 2.26.2
Requires: vine-menus >= 3.0
Requires: yelp >= 2.26.0
Requires: brasero >= 2.26.1
Requires: brasero-libs >= 2.26.1
Requires: brasero-nautilus >= 2.26.1
Requires: evince >= 2.26.1
Requires: evince-dvi >= 2.26.1
Requires: evolution >= 2.26.1.1
Requires: evolution-bogofilter >= 2.26.1.1
Requires: evolution-data-server >= 2.26.1.1
Requires: evolution-data-server-doc >= 2.26.1.1
Requires: evolution-help >= 2.26.1.1
Requires: evolution-spamassassin >= 2.26.1.1
Requires: file-roller >= 2.26.1
Requires: gucharmap >= 2.26.1
Requires: sound-juicer >= 2.26.1
Requires: totem >= 2.26.1
Requires: totem-common >= 2.26.1
Requires: totem-gstreamer >= 2.26.1
Requires: totem-mozilla >= 2.26.1
Requires: totem-pl-parser >= 2.26.1
#Requires: totem-tracker >= 2.26.1
Requires: vinagre >= 2.26.1
Requires: vino >= 2.26.1
Requires: cheese >= 2.26.0
Requires: zenity >= 2.26.0

Obsoletes: bonobo-activation
Obsoletes: fontilus, themus
Conflicts: ee
Obsoletes: ee
Conflicts: gnome-vfs < 1.0.5
Conflicts: sawfish <= 1.1
Obsoletes: sawfish <= 1.1

%description
This is a virtual package to install GNOME2 system packages.
If you use apt-get for RPM, This package will install
all packages related to GNOME2 automatically.
** This is experimental package **

%description -l ja
GNOME を簡単にインストールするための仮想パッケージです。
apt-get を使ってこのパッケージをインストールすることで、
関連する GNOME パッケージをすべてインストールすることができます。

%package devel
Summary: Development files for GNOME2 virtual package
Summary: GNOME2 開発用バーチャルパッケージ
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: GConf2-devel >= 2.26.0
Requires: ORBit2-devel >= 2.14.17
Requires: atk-devel >= 1.26.0
Requires: cairo-devel >= 1.8.6
Requires: control-center-devel >= 2.26.0
Requires: eel2-devel >= 2.24.1
Requires: gamin-devel >= 0.1.10
Requires: glib2-devel >= 2.20.1
Requires: gnome-desktop-devel >= 2.26.1
Requires: gnome-vfs2-devel >= 2.24.1
Requires: gtk2-devel >= 2.16.1
Requires: libIDL-devel >= 0.8.13
Requires: libbonobo-devel >= 2.24.1
Requires: libbonoboui-devel >= 2.24.1
Requires: libglade2-devel >= 2.6.4
Requires: libgnome-devel >= 2.26.0
Requires: libgnomecanvas-devel >= 2.26.0
Requires: libgnomeui-devel >= 2.24.1
Requires: libgtop2-devel >= 2.26.1
Requires: librsvg2-devel >= 2.26.0
Requires: libwnck-devel >= 2.26.1
Requires: libxml2-devel >= 2.6.32
Requires: libxslt-devel >= 1.1.23
Requires: pango-devel >= 1.24.1
Requires: startup-notification-devel >= 0.9
Requires: vte-devel >= 0.20.1
Requires: gvfs-devel >= 1.2.2
Requires: brasero-devel >= 2.26.1
Requires: gnome-settings-daemon-devel >= 2.26.1
Requires: evince-devel >= 2.26.1
Requires: evolution-devel >= 2.26.1.1
Requires: evolution-data-server-devel >= 2.26.1.1
Requires: gucharmap-devel >= 2.26.1
Requires: libsoup-devel >= 2.26.1
Requires: totem-pl-parser-devel >= 2.26.1
Requires: libgnomekbd-devel >= 2.26.0
Requires: libgweather-devel >= 2.26.0
Requires: metacity-devel >= 2.26.0

Requires: bug-buddy >= 2.26.0


%description devel
This is a virtual package for gnome2 development files.


%files

%files devel

%changelog
* Mon May 11 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- spec in utf-8, new versioning policy
- update for gnome-2.26.1
- add gvfs, brasero, evince, evolution, file-roller,
  gucharmap, sound-juicer, totem, vinagre, vino,
  cheese, zenity
- remove obsolete components

* Sat Sep  2 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.2-0vl1
- update for gnome-2.14.2
- use gamin instead of fam
- changed devel Group to Development/Libraries

* Sat May 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- update for gnome-2.10
- remove nautilus-media

* Wed Jun 23 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl3
- update versions

* Sun Jun  6 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl2
- obsoletes bonobo-activation*

* Mon Jan 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- add gdm

* Sun May 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl3
- add obsolete fontulus/themus that is nou included in control-center-2.3

* Mon May 19 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl2
- add obsolete sawfish/ee

* Sun May 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- gnome-2.2.1

* Sun Jan 26 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl0.1
- gnome-2.2 prerelease

* Wed Jan 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl5
- add gstreamer-plugins, nautilus-media
- update required versions.

* Sun Jan 19 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl4
- add gstreamer, gnome-media

* Sat Jan 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl3
- remove Requires: gnome-vfs-devel from devel package.

* Sat Jan 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl2
- fixed typo

* Sat Jan 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl1
- add version number to dependancies.

* Sun Jan  5 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl4
- add fontilus, esound

* Sat Jan  4 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl3
- modified Requires.

* Sat Dec 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl2
- add task-gnome2-devel sub package.

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- initial package

